Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.core.provision
Interface ProvisionManager

All Known Subinterfaces:
  ProvisionMonitor

    public interface ProvisionManager

The ProvisionManager defines the semantics for `ServiceBeanInstantiator` instances to register for `ServiceProvisionEvent` notifications and to provide a feedback mechanism for `ServiceBeanInstantiator` instances to update their `ResourceCapability` and `ServiceRecord`s

Method Summary
`EventRegistration` | `register(ServiceBeanInstantiator instantiator, MarshalledObject handback, ResourceCapability resourceCapability, int serviceLimit, long duration)` Deprecated. Use register(ServiceBeanInstantiator, MarshalledObject, ResourceCapability, ServiceRecord[], int, long)
`EventRegistration` | `register(ServiceBeanInstantiator instantiator, MarshalledObject handback, ResourceCapability resourceCapability, ServiceRecord[] records, int serviceLimit, long duration)` Register for notifications of `ServiceProvisionEvent` objects.
`void` | `update(ServiceBeanInstantiator instantiator, ResourceCapability resourceCapability, int serviceLimit)` Deprecated. Use update(ServiceBeanInstantiator, ResourceCapability, ServiceRecord[], int)
`void` | `update(ServiceBeanInstantiator instantiator, ResourceCapability resourceCapability, ServiceRecord[] records, int serviceLimit)` Provides a feedback mechanism for a `ServiceBeanInstantiator` to update it's operational capabilities as described by the `ResourceCapability` object, and any changes in the maximum number of services the ServiceBeanInstantiator will accept for service provisioning The ServiceBeanInstantiator must have an active `Lease` with the ProvisionManager for this method to be successful

Method Detail

### register

    @Deprecated
    EventRegistration register(ServiceBeanInstantiator instantiator,
                                          MarshalledObject handback,
                                          ResourceCapability resourceCapability,
                                          int serviceLimit,
                                          long duration)
                               throws LeaseDeniedException,
                                      RemoteException

  Deprecated. Use register(ServiceBeanInstantiator, MarshalledObject, ResourceCapability, ServiceRecord[], int, long)

  Register for notifications of `ServiceProvisionEvent` objects. The returned `EventRegistration` is leased; the lease must be managed by the caller. The event ID in the returned EventRegistration corresponds to the event ID of the ServiceProvisionEvent.

  While the EventRegistration is valid, ServiceProvisionEvent notifications are sent to the specified ServiceBeanInstantiator whenever the ProvisionManager determines that a ServiceBeanInstantiator meets requirements specified by the ServiceBean.

  Parameters:
    `instantiator` - The ServiceBeanInstantiator
    `handback` - The handback Object to include with event notification
    `resourceCapability` - The capabilities of the compute resource
    `serviceLimit` - The maximum amount of services the compute resources will accept for provisioning
    `duration` - The requested lease duration
  Returns:
    An EventRegistration
  Throws:
    `LeaseDeniedException` - If the Lease to the ProvisionManager is denied
    `RemoteException` - If communication errors happen

### register

    EventRegistration register(ServiceBeanInstantiator instantiator,
                               MarshalledObject handback,
                               ResourceCapability resourceCapability,
                               ServiceRecord[] records,
                               int serviceLimit,
                               long duration)
                               throws LeaseDeniedException,
                                      RemoteException

  Register for notifications of `ServiceProvisionEvent` objects. The returned `EventRegistration` is leased; the lease must be managed by the caller. The event ID in the returned EventRegistration corresponds to the event ID of the ServiceProvisionEvent.

  While the EventRegistration is valid, ServiceProvisionEvent notifications are sent to the specified ServiceBeanInstantiator whenever the ProvisionManager determines that a ServiceBeanInstantiator meets requirements specified by the ServiceBean.

  Parameters:
    `instantiator` - The ServiceBeanInstantiator
    `handback` - The handback Object to include with event notification
    `records` - An array of active ServiceRecord instances. If there are no active ServiceRecord instances, a zero-length array must be provided
    `resourceCapability` - The capabilities of the compute resource
    `serviceLimit` - The maximum amount of services the compute resources will accept for provisioning
    `duration` - The requested lease duration
  Returns:
    An EventRegistration
  Throws:
    `LeaseDeniedException` - If the Lease to the ProvisionManager is denied
    `RemoteException` - If communication errors happen

### update

    @Deprecated
    void update(ServiceBeanInstantiator instantiator,
                           ResourceCapability resourceCapability,
                           int serviceLimit)
                throws UnknownLeaseException,
                       RemoteException

  Deprecated. Use update(ServiceBeanInstantiator, ResourceCapability, ServiceRecord[], int)

  Provides a feedback mechanism for a `ServiceBeanInstantiator` to update it's operational capabilities as described by the `ResourceCapability` object, and any changes in the maximum number of services the ServiceBeanInstantiator will accept for service provisioning

  The ServiceBeanInstantiator must have an active `Lease` with the ProvisionManager for this method to be successful

  Parameters:
    `instantiator` - The Listener to send events to
    `resourceCapability` - The capabilities of the compute resource
    `serviceLimit` - The maximum amount of services the compute resources will accept for provisioning
  Throws:
    `UnknownLeaseException` - If the Lease to the ProvisionManager is unknown
    `RemoteException` - If communication errors happen

### update

    void update(ServiceBeanInstantiator instantiator,
                ResourceCapability resourceCapability,
                ServiceRecord[] records,
                int serviceLimit)
                throws UnknownLeaseException,
                       RemoteException

  Provides a feedback mechanism for a `ServiceBeanInstantiator` to update it's operational capabilities as described by the `ResourceCapability` object, and any changes in the maximum number of services the ServiceBeanInstantiator will accept for service provisioning

  The ServiceBeanInstantiator must have an active `Lease` with the ProvisionManager for this method to be successful

  Parameters:
    `instantiator` - The Listener to send events to
    `resourceCapability` - The capabilities of the compute resource
    `records` - An array of active ServiceRecord instances. If there are no active ServiceRecord instances, a zero-length array must be provided
    `serviceLimit` - The maximum amount of services the compute resources will accept for provisioning
  Throws:
    `UnknownLeaseException` - If the Lease to the ProvisionManager is unknown
    `RemoteException` - If communication errors happen

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.